
/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package vishnu.testvis.browser;

import javax.swing.JFrame;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.applet.*;
import java.beans.*;
import javax.swing.event.*;
import java.net.URL;
import java.io.IOException;
import java.util.*;

public class Browser extends JFrame
{
  JScrollPane scrollPane;
  JEditorPane editorPane;
  JPanel panel;
  public Browser(URL url)
  {
    jb_init(url);
  }
  
  public Browser(Vector document, long docNumber)
  {
    jb_init(document);
  }

  private void jb_init(Vector document)
  {
     WindowListener l = new WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        setVisible(false);          // hide the Frame
        dispose();
      }
    };
    
    panel = new JPanel();
    setSize(500,400);
    Container content = this.getContentPane();
    panel.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
    panel.setLayout(new BorderLayout(10,10));
    content.setLayout(new BorderLayout(10,10));
    editorPane = new JEditorPane();
    editorPane.setEditable(false);               
    editorPane.setContentType("text/html");   
    
    String text = new String("");
    
    for( int i = 0; i < document.size(); i++ )
    {
        text += (String)document.elementAt(i) + "\n";
    }
    
    editorPane.setText(text);
    scrollPane = new JScrollPane();
    scrollPane.getViewport().add(editorPane);
    panel.add(scrollPane,"Center");
    content.add(panel,"Center");
    
    /*editorPane = createEditorPane(url);
    scrollPane = new JScrollPane();
    scrollPane.getViewport().add(editorPane);
    panel.add(scrollPane,"Center");
    content.add(panel,"Center");*/
    
    setVisible(true);
  }

  private void jb_init(URL url)
  {
    WindowListener l = new WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        setVisible(false);          // hide the Frame
        dispose();
      }
    };
    panel = new JPanel();
    setSize(500,400);
    Container content = this.getContentPane();
    panel.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
    panel.setLayout(new BorderLayout(10,10));
    content.setLayout(new BorderLayout(10,10));
    editorPane = createEditorPane(url);
    scrollPane = new JScrollPane();
    scrollPane.getViewport().add(editorPane);
    panel.add(scrollPane,"Center");
    content.add(panel,"Center");
    setVisible(true);
  }

  private JEditorPane createEditorPane(URL url)
  {
    JEditorPane edPane = new JEditorPane();
    edPane.setEditable(false);
    displayURL(url,edPane);
    return edPane;
  }

  private void displayURL(URL url, JEditorPane edPane)
  {
    try
    {
      edPane.setPage(url);
    }
    catch(IOException e)
    {
      System.out.println("Bad URL: "+ url.toString());
    }
  }
}

