package org.greenstone.gsdl3.gs3build.util;

import java.net.URL;
import java.io.File;

public class URLTools
{
  public static URL getFileURL(File file)
  { URL url;
    String normalisedFileName = file.toString().replace(File.separatorChar, '/');

    try {
      url = new URL("file", "", normalisedFileName);
    }
    catch (java.net.MalformedURLException ex) {
      return null;
    }
    return url;
  }
}
